# eric4.Wizards.Wizard

Module implementing the highlevel wizard functions.

### Classes

Wizards | Class implementing the highlevel wizard functions.

### Functions

None

## Wizards

Class implementing the highlevel wizard functions.

### Derived from

QObject

### Methods

Wizards | Constructor
__addSeparator | Private method to prepare a menu separator.
__initialize | Private method to register all the wizards.
__loadWizardTranslator | Private method to load a wizard's translator.
getActions | Public method to get a list of all actions.
getCurrentEditor | Public method to get a reference to the current editor.
initMenu | Public slot to initialize the wizards menu.

#### Wizards (Constructor)

Wizards(loc, parent = None)

Constructor

loc
  the localizer string as determined by the main script (string)

#### Wizards.__addSeparator

__addSeparator()

Private method to prepare a menu separator.

#### Wizards.__initialize

__initialize()

Private method to register all the wizards.

#### Wizards.__loadWizardTranslator

__loadWizardTranslator(wizard)

Private method to load a wizard's translator.

wizard
  reference to the wizard object.

#### Wizards.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### Wizards.getCurrentEditor

getCurrentEditor()

Public method to get a reference to the current editor.

Returns:
  the current editor

#### Wizards.initMenu

initMenu()

Public slot to initialize the wizards menu.

Returns:
  the generated menu

Up